#ifndef _COMBINEENUMERATOR_H
#define _COMBINEENUMERATOR_H

#include <string>
#include "lib/enumerator.hpp"
#include "lib/seqinfileenumerator.hpp"
#include "transactionenumerator.h"
#include "record.h"

class CombineEnumerator : public Enumerator<Record>
{
   protected:
      SeqInFileEnumerator<Record> *t; // Törzsfájl
      TransactionEnumerator *m; // Módosítófájl
      Record current;
      bool end;
   public:
      CombineEnumerator(const std::string& str1, const std::string& str2)
      {
         t = new SeqInFileEnumerator<Record>(str1);
         m = new TransactionEnumerator(str2);
      }
      ~CombineEnumerator() { delete t; delete m; }
      void First() { t->First(); m->First(); Next(); }
      void Next();
      bool End() const { return end;}
      Record Current() const { return current;}
};

#endif
